package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * @author
 * @description 历史订单对账状态 xhpc_history_order_reconciliation_status
 * @date 2021-07-22
 */
public class XhpcHistoryOrderReconciliationStatus extends BaseEntity {

    /**
     * 历史订单对账状态id
     */
    private Long historyOrderReconciliationStatusId;

    /**
     * 历史订单id
     */
    @NotNull(message = "历史订单id不能为空")
    private Long historyOrderId;

    /**
     * 状态（0待确认 1已确认，2待提交，3待审核）
     */
    @NotNull(message = "状态不能为空")
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    public Long getHistoryOrderReconciliationStatusId() {
        return historyOrderReconciliationStatusId;
    }

    public void setHistoryOrderReconciliationStatusId(Long historyOrderReconciliationStatusId) {
        this.historyOrderReconciliationStatusId = historyOrderReconciliationStatusId;
    }

    public Long getHistoryOrderId() {
        return historyOrderId;
    }

    public void setHistoryOrderId(Long historyOrderId) {
        this.historyOrderId = historyOrderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
